### Function Macro

# EBook return_error_if_fail

since: 2.30

#### Declaration [src]

    #define e_return_error_if_fail (
      expr,
      error_code
    )

#### Description [src]

FIXME Document me!

Available since: 2.30

This function is not directly available to language bindings.

#### Parameters

`expr`

  Type: `-`

  The expression to check.

`error_code`

  Type: `-`

  The error code to set if `expr` fails.